<ul>
  <li class="border">
    <i class="demo-icon icon-partao_cadenas"></i>
  </li>
  <li class="border" [matMenuTriggerFor]="summaryNetworkAction">
    {{ 'HEADER.NETWORK_OVERVIEW' | translate }}
    <span class="network-overview-buses"><i class="demo-icon icon-partao_parc"></i> {{buses | formatNumber}} bus</span>
    <mat-menu #summaryNetworkAction="matMenu" class="recap-menu">
      <geodesign-summary-network (busesEvent)="receiveBuses($event)" (click)="$event.stopPropagation()"></geodesign-summary-network>
    </mat-menu>
  </li>
  <li class="border" [matMenuTriggerFor]="scenarioAction">
    {{ 'HEADER.SCENARIO' | translate }}
    <mat-menu #scenarioAction="matMenu">
      <ng-container *ngFor="let action of actions; trackBy: trackByFn">
        <button mat-menu-item (click)="showDialog(action.component, action.picto)" *ngIf="action.picto !== 'icon-partao_exporter'" [disableRipple]="true">
          <i class="demo-icon" [ngClass]="action.picto"></i> {{ action.label | translate }}
        </button>
        <button mat-menu-item *ngIf="action.picto === 'icon-partao_exporter'" [matMenuTriggerFor]="export" [disableRipple]="true">
          <i class="demo-icon" [ngClass]="action.picto"></i> {{ action.label | translate }}
          <mat-menu #export="matMenu">
            <geodesign-export></geodesign-export>
          </mat-menu>
        </button>
      </ng-container>
    </mat-menu>
  </li>
  <li [matMenuTriggerFor]="parametersAction">
    {{ 'HEADER.PARAMETERS' | translate }}
    <mat-menu #parametersAction="matMenu">
      <button mat-menu-item *ngFor="let action of actionsSettings; trackBy: trackByFn" (click)="showDialog(action.component)" [disableRipple]="true">
        {{ action.label | translate }}
      </button>
    </mat-menu>
  </li>
  <li (click)="handleDataSidenav()">
    {{ 'HEADER.DATA' | translate }}
  </li>
  <li [matMenuTriggerFor]="helpsAction">
    {{ 'HEADER.HELP' | translate }}
    <mat-menu #helpsAction="matMenu">
      <geodesign-help></geodesign-help>
    </mat-menu>
  </li>
</ul>
